package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WpuspSvrPara对象 wpusp_svr_para
 *
 * @author hlf
 * @date 2021-08-11
 */
public class WpuspSvrPara extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Double gamma;

    private Double cost;

    private Double nu;

    private Long spaceDim;

    private Long trainSampCount;

    private Double forgettFactor;

    private Long pcurveFlag;

    private Long windDataSouces;

    private Long corrFlag;

    private Double highPositError;

    private Double highNegatError;

    private Double midPositError;

    private Double midNegatError;

    private Double lowPositError;

    private Double lowNegatError;

    private Long apYcNo;

    private Long wspeedYcNo;

    private Long wdirYcNo;

    private Long temYcNo;

    private Long yeYcNo;

    private Long meYcNo;

    private Long eYcNo;

    private Long avgWspeedYcNo;

    private Long avgWdirYcNo;

    private Long avgTemYcNo;

    private Long avgPreYcNo;

    private Long avgHumYcNo;

    private Date pcurveStatTime;

    private Date predictionTime;

    private Date dayStatTime;

    private Date monthStatTime;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setGamma(Double gamma) {
        this.gamma = gamma;
    }

    public Double getGamma() {
        return gamma;
    }

    public void setCost(Double cost) {
        this.cost = cost;
    }

    public Double getCost() {
        return cost;
    }

    public void setNu(Double nu) {
        this.nu = nu;
    }

    public Double getNu() {
        return nu;
    }

    public void setSpaceDim(Long spaceDim) {
        this.spaceDim = spaceDim;
    }

    public Long getSpaceDim() {
        return spaceDim;
    }

    public void setTrainSampCount(Long trainSampCount) {
        this.trainSampCount = trainSampCount;
    }

    public Long getTrainSampCount() {
        return trainSampCount;
    }

    public void setForgettFactor(Double forgettFactor) {
        this.forgettFactor = forgettFactor;
    }

    public Double getForgettFactor() {
        return forgettFactor;
    }

    public void setPcurveFlag(Long pcurveFlag) {
        this.pcurveFlag = pcurveFlag;
    }

    public Long getPcurveFlag() {
        return pcurveFlag;
    }

    public void setWindDataSouces(Long windDataSouces) {
        this.windDataSouces = windDataSouces;
    }

    public Long getWindDataSouces() {
        return windDataSouces;
    }

    public void setCorrFlag(Long corrFlag) {
        this.corrFlag = corrFlag;
    }

    public Long getCorrFlag() {
        return corrFlag;
    }

    public void setHighPositError(Double highPositError) {
        this.highPositError = highPositError;
    }

    public Double getHighPositError() {
        return highPositError;
    }

    public void setHighNegatError(Double highNegatError) {
        this.highNegatError = highNegatError;
    }

    public Double getHighNegatError() {
        return highNegatError;
    }

    public void setMidPositError(Double midPositError) {
        this.midPositError = midPositError;
    }

    public Double getMidPositError() {
        return midPositError;
    }

    public void setMidNegatError(Double midNegatError) {
        this.midNegatError = midNegatError;
    }

    public Double getMidNegatError() {
        return midNegatError;
    }

    public void setLowPositError(Double lowPositError) {
        this.lowPositError = lowPositError;
    }

    public Double getLowPositError() {
        return lowPositError;
    }

    public void setLowNegatError(Double lowNegatError) {
        this.lowNegatError = lowNegatError;
    }

    public Double getLowNegatError() {
        return lowNegatError;
    }

    public void setApYcNo(Long apYcNo) {
        this.apYcNo = apYcNo;
    }

    public Long getApYcNo() {
        return apYcNo;
    }

    public void setWspeedYcNo(Long wspeedYcNo) {
        this.wspeedYcNo = wspeedYcNo;
    }

    public Long getWspeedYcNo() {
        return wspeedYcNo;
    }

    public void setWdirYcNo(Long wdirYcNo) {
        this.wdirYcNo = wdirYcNo;
    }

    public Long getWdirYcNo() {
        return wdirYcNo;
    }

    public void setTemYcNo(Long temYcNo) {
        this.temYcNo = temYcNo;
    }

    public Long getTemYcNo() {
        return temYcNo;
    }

    public Long getYeYcNo() {
        return yeYcNo;
    }

    public void setYeYcNo(Long yeYcNo) {
        this.yeYcNo = yeYcNo;
    }

    public Long getMeYcNo() {
        return meYcNo;
    }

    public void setMeYcNo(Long meYcNo) {
        this.meYcNo = meYcNo;
    }

    public Long geteYcNo() {
        return eYcNo;
    }

    public void seteYcNo(Long eYcNo) {
        this.eYcNo = eYcNo;
    }

    public void setAvgWspeedYcNo(Long avgWspeedYcNo) {
        this.avgWspeedYcNo = avgWspeedYcNo;
    }

    public Long getAvgWspeedYcNo() {
        return avgWspeedYcNo;
    }

    public void setAvgWdirYcNo(Long avgWdirYcNo) {
        this.avgWdirYcNo = avgWdirYcNo;
    }

    public Long getAvgWdirYcNo() {
        return avgWdirYcNo;
    }

    public void setAvgTemYcNo(Long avgTemYcNo) {
        this.avgTemYcNo = avgTemYcNo;
    }

    public Long getAvgTemYcNo() {
        return avgTemYcNo;
    }

    public void setAvgPreYcNo(Long avgPreYcNo) {
        this.avgPreYcNo = avgPreYcNo;
    }

    public Long getAvgPreYcNo() {
        return avgPreYcNo;
    }

    public void setAvgHumYcNo(Long avgHumYcNo) {
        this.avgHumYcNo = avgHumYcNo;
    }

    public Long getAvgHumYcNo() {
        return avgHumYcNo;
    }

    public void setPcurveStatTime(Date pcurveStatTime) {
        this.pcurveStatTime = pcurveStatTime;
    }

    public Date getPcurveStatTime() {
        return pcurveStatTime;
    }

    public void setPredictionTime(Date predictionTime) {
        this.predictionTime = predictionTime;
    }

    public Date getPredictionTime() {
        return predictionTime;
    }

    public void setDayStatTime(Date dayStatTime) {
        this.dayStatTime = dayStatTime;
    }

    public Date getDayStatTime() {
        return dayStatTime;
    }

    public void setMonthStatTime(Date monthStatTime) {
        this.monthStatTime = monthStatTime;
    }

    public Date getMonthStatTime() {
        return monthStatTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("gamma", getGamma())
                .append("cost", getCost())
                .append("nu", getNu())
                .append("spaceDim", getSpaceDim())
                .append("trainSampCount", getTrainSampCount())
                .append("forgettFactor", getForgettFactor())
                .append("pcurveFlag", getPcurveFlag())
                .append("windDataSouces", getWindDataSouces())
                .append("corrFlag", getCorrFlag())
                .append("highPositError", getHighPositError())
                .append("highNegatError", getHighNegatError())
                .append("midPositError", getMidPositError())
                .append("midNegatError", getMidNegatError())
                .append("lowPositError", getLowPositError())
                .append("lowNegatError", getLowNegatError())
                .append("apYcNo", getApYcNo())
                .append("wspeedYcNo", getWspeedYcNo())
                .append("wdirYcNo", getWdirYcNo())
                .append("temYcNo", getTemYcNo())
                .append("avgWspeedYcNo", getAvgWspeedYcNo())
                .append("avgWdirYcNo", getAvgWdirYcNo())
                .append("avgTemYcNo", getAvgTemYcNo())
                .append("avgPreYcNo", getAvgPreYcNo())
                .append("avgHumYcNo", getAvgHumYcNo())
                .append("pcurveStatTime", getPcurveStatTime())
                .append("predictionTime", getPredictionTime())
                .append("dayStatTime", getDayStatTime())
                .append("monthStatTime", getMonthStatTime())
                .toString();
    }
}
